import java.io.BufferedOutputStream;
import java.io.DataOutputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.util.ArrayList;

public class ObjectWriteTest
{

    public static void main(String[] args) throws IOException
    {
        FileOutputStream fos = new FileOutputStream("foo.dat");
        BufferedOutputStream bos = new BufferedOutputStream(fos);
        ObjectOutputStream oos = new ObjectOutputStream(bos);
        
        ArrayList<Person> list = new ArrayList<Person>();
        
        Person p1 = new Person("Bob", "Hop", 1138);
        Person p2 = new Person("Bob", "Hope", 100);
        
        list.add(p1);
        list.add(p2);
        
        oos.writeObject(list);
        oos.writeObject(p1);
        
        oos.close();
    }

}
