import java.io.Serializable;
import java.util.ArrayList;
import java.util.Collections;

public class Person implements Comparable<Person>, Serializable
{
    private String firstName;
    private String lastName;
    private int id;
    
    public Person(String firstName, String lastName, int id)
    {
        this.firstName = firstName;
        this.lastName = lastName;
        this.id = id;
    }
    
    public int getId()
    {
        return id;
    }
    
    public int compareTo(Person p){
        int ret = this.lastName.compareTo(p.lastName);
        
        if(ret == 0) {
            return this.firstName.compareTo(p.firstName);
        }else{
            return ret;
        }
    }
    
    public String toString()
    {
        return lastName + ", " + firstName + " (" + id + ")";
    }
    
    public static void displayList(ArrayList<Person> list) 
    {
        System.out.println("######");
        for(int i = 0; i < list.size(); ++i) {
            System.out.println(list.get(i));
        }
    }
    
    

}
